Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260985 - media-sound/aumix-2.8-r4 - buffer overflow detected when incrementing volume
Summary: media-sound/aumix-2.8-r4 - buffer overflow detected when incrementing volume
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-03-02 20:19 UTC by Guillaume Rosaire
Modified: 2011-06-19 22:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Console output after execution (contains backtrace) (console_output_backtrace.log,14.24 KB, text/plain)
2009-03-02 20:20 UTC, Guillaume Rosaire
Details
from debian bug #497865 (30_noninter_strncpy.patch,1007 bytes, patch)
2009-03-11 23:05 UTC, Magnus Granberg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Rosaire 2009-03-02 20:19:21 UTC
When trying to increment/decrement main volume by the following :
$ aumix -v-10 
or
$ aumix -v+10 (10 or anything else)
aumix crashes displaying a backtrace and the message "buffer overflow detected"

Reproducible: Always

Steps to Reproduce:
1. install aumix-2.8-r4 (not tried with older versions)
2. aumix -v-10
3. 

Actual Results:  
zerog@algol ~ $ aumix -v-10 
*** buffer overflow detected ***: aumix terminated
======= Backtrace: =========
followed by a backtrace (cf attached log file)

Expected Results:  
Volume incremented/decremented according to what was asked.
Comment 1 Guillaume Rosaire 2009-03-02 20:20:13 UTC
Created attachment 183706 [details]
Console output after execution (contains backtrace)
Comment 2 Guillaume Rosaire 2009-03-02 20:25:29 UTC
Not using emerge, so find below the output of "paludis --info aumix", which should give you all the needed info:

paludis 0.36.0
Paludis build information:
    Compiler:
        CXX:                   x86_64-pc-linux-gnu-g++ 4.3.3
        CXXFLAGS:               -O3 -pipe -fomit-frame-pointer -march=athlon64 -fweb -ftracer -funroll-loops
        LDFLAGS:               -Wl,--as-needed
        DATE:                  2009-03-01T14:27:22+0100

    Libraries:
        C++ Library:           GNU libstdc++ 20090124

    Reduced Privs:
        reduced_uid:           101
        reduced_uid->name:     paludisbuild
        reduced_uid->dir:      /var/tmp/paludis
        reduced_gid:           440
        reduced_gid->name:     paludisbuild

    Paths:
        DATADIR:               /usr/share
        LIBDIR:                /usr/lib64
        LIBEXECDIR:            /usr/libexec
        SYSCONFDIR:            /etc
        PYTHONINSTALLDIR:      
        RUBYINSTALLDIR:        

Environment:
    Format:                    paludis
    Config dir:                /etc/paludis
    World file:                /var/db/pkg/world

Repository installed-virtuals:
    format:                    installed_virtuals
    root:                      /

Repository virtuals:
    format:                    virtuals

Repository gentoo:
    format:                    ebuild
    location:                  /usr/portage
    append_repository_name_to_write_cache: true
    binary_destination:        false
    binary_keywords:           
    binary_uri_prefix:         
    builddir:                  /var/tmp/paludis
    cache:                     /usr/portage/metadata/cache
    distdir:                   /usr/portage/distfiles
    eapi_when_unknown:         0
    eapi_when_unspecified:     0
    eclassdirs:                /usr/portage/eclass
    ignore_deprecated_profiles: false
    layout:                    traditional
    names_cache:               /usr/portage/.cache/names
    newsdir:                   /usr/portage/metadata/news
    profile_eapi_when_unspecified: 0
    profiles:                  /usr/portage/profiles/default/linux/amd64/2008.0/desktop
    securitydir:               /usr/portage/metadata/glsa
    setsdir:                   /usr/portage/sets
    sync:                      rsync://rsync.gentoo.org/gentoo-portage
    sync_options:              
    use_manifest:              use
    write_cache:               /var/cache/paludis/metadata

Repository installed:
    format:                    vdb
    location:                  /var/db/pkg
    builddir:                  /var/tmp/paludis
    names_cache:               /var/db/pkg/.cache/names
    provides_cache:            /var/db/pkg/.cache/provides
    root:                      /

Package media-sound/aumix-2.8-r4::installed:

        >>> Running ebuild phase killold as paludisbuild:paludisbuild...
        bunzip2 < /var/db/pkg/media-sound/aumix-2.8-r4/environment.bz2 > /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5136
        ebuild_scrub_environment /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5136
        ebuild_safe_source /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5136
        rm /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5136
        >>> Starting builtin_killold
        >>> Done builtin_killold
        >>> Completed ebuild phase killold
        >>> Running ebuild phases initmisc infovars info as paludisbuild:paludisbuild...
        bunzip2 < /var/db/pkg/media-sound/aumix-2.8-r4/environment.bz2 > /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5192
        ebuild_scrub_environment /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5192
        ebuild_safe_source /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5192
        rm /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5192
        >>> Starting builtin_initmisc
        >>> Done builtin_initmisc
        >>> Starting builtin_infovars
        ACCEPT_KEYWORDS=amd64
        CBUILD=x86_64-pc-linux-gnu
        CFLAGS=-O3 -pipe -fomit-frame-pointer -march=athlon64 -fweb -ftracer -funroll-loops
        CHOST=x86_64-pc-linux-gnu
        CONFIG_PROTECT=/var/lib/hsqldb /usr/kde/3.5/share/config /usr/kde/3.5/env /usr/kde/3.5/shutdown /usr/share/config /etc 
        CONFIG_PROTECT_MASK=/etc/gentoo-release /etc/sandbox.d /etc/env.d/java/ /etc/udev/rules.d /etc/fonts/fonts.conf /etc/gconf /etc/terminfo /etc/ca-certificates.conf /etc/env.d /etc/gconf 
        CPPFLAGS=
        CTARGET=
        CXXFLAGS=-O3 -pipe -fomit-frame-pointer -march=athlon64 -fweb -ftracer -funroll-loops
        DISTDIR=/var/db/pkg/media-sound/aumix-2.8-r4
        FEATURES=strict sfperms
        FFLAGS=
        GENTOO_MIRRORS=
        INSTALL_MASK=
        LANG=
        LC_ALL=C
        LDFLAGS=-Wl,--as-needed
        LINGUAS=en fr
        MAKEOPTS=-j3
        PORTAGE_COMPRESS=
        PORTAGE_COMPRESS_FLAGS=
        PORTAGE_CONFIGROOT=
        PORTAGE_RSYNC_EXTRA_OPTS=
        PORTAGE_RSYNC_OPTS=
        PORTAGE_TMPDIR=/var/tmp/paludis
        PORTDIR=/var/db/pkg/media-sound/aumix-2.8-r4
        PORTDIR_OVERLAY=
        SYNC=
        USE=gpm gtk nls amd64 alsa_cards_ali5451 alsa_cards_als4000 alsa_cards_atiixp alsa_cards_atiixp-modem alsa_cards_bt87x alsa_cards_ca0106 alsa_cards_cmipci alsa_cards_emu10k1x alsa_cards_ens1370 alsa_cards_ens1371 alsa_cards_es1938 alsa_cards_es1968 alsa_cards_fm801 alsa_cards_hda-intel alsa_cards_intel8x0 alsa_cards_intel8x0m alsa_cards_maestro3 alsa_cards_trident alsa_cards_usb-audio alsa_cards_via82xx alsa_cards_via82xx-modem alsa_cards_ymfpci alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mmap_emul alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text linguas_en linguas_fr userland_GNU video_cards_nvidia amd64 
        >>> Done builtin_infovars
        >>> Starting pkg_info
        >>> Done pkg_info
        >>> Completed ebuild phases initmisc infovars info
        >>> Running ebuild phase tidyup as paludisbuild:paludisbuild...
        bunzip2 < /var/db/pkg/media-sound/aumix-2.8-r4/environment.bz2 > /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5269
        ebuild_scrub_environment /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5269
        ebuild_safe_source /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5269
        rm /var/tmp/paludis/environment-media-sound-aumix-2.8-r4-5269
        >>> Starting builtin_tidyup
        rm -fr /var/tmp/paludis/media-sound-aumix-2.8-r4-info
        >>> Done builtin_tidyup
        >>> Completed ebuild phase tidyup

Package media-sound/aumix-2.8-r4:0::gentoo:

paludis@1236024681: [WARNING e.ebuild.userpriv_disabled] In thread ID '5126':
  ... In program paludis --info aumix:
  ... When handling query 'aumix':
  ... When infoing 'media-sound/aumix-2.8-r4:0::gentoo':
  ... When checking permissions on '/var/tmp/paludis' for userpriv:
  ... Directory '/var/tmp/paludis' does not have group write permission, cannot enable userpriv
        >>> Running ebuild phase killold as paludisbuild:paludisbuild...
        >>> Starting builtin_killold
        >>> Done builtin_killold
        >>> Completed ebuild phase killold
        >>> Running ebuild phases initmisc infovars as paludisbuild:paludisbuild...
        >>> Starting builtin_initmisc
        >>> Done builtin_initmisc
        >>> Starting builtin_infovars
        ACCEPT_KEYWORDS=amd64
        CBUILD=x86_64-pc-linux-gnu
        CFLAGS=-O3 -pipe -fomit-frame-pointer -march=athlon64 -fweb -ftracer -funroll-loops
        CHOST=x86_64-pc-linux-gnu
        CONFIG_PROTECT= 
        CONFIG_PROTECT_MASK= 
        CPPFLAGS=
        CTARGET=
        CXXFLAGS=-O3 -pipe -fomit-frame-pointer -march=athlon64 -fweb -ftracer -funroll-loops
        DISTDIR=/usr/portage/distfiles
        FEATURES=strict sfperms
        FFLAGS=
        GENTOO_MIRRORS=
        INSTALL_MASK=
        LANG=
        LC_ALL=C
        LDFLAGS=-Wl,--as-needed
        LINGUAS=en fr
        MAKEOPTS=-j3
        PORTAGE_COMPRESS=
        PORTAGE_COMPRESS_FLAGS=
        PORTAGE_CONFIGROOT=
        PORTAGE_RSYNC_EXTRA_OPTS=
        PORTAGE_RSYNC_OPTS=
        PORTAGE_TMPDIR=/var/tmp/paludis
        PORTDIR=/usr/portage
        PORTDIR_OVERLAY=
        SYNC=
        USE=gpm gtk nls amd64 alsa_cards_ali5451 alsa_cards_als4000 alsa_cards_atiixp alsa_cards_atiixp-modem alsa_cards_bt87x alsa_cards_ca0106 alsa_cards_cmipci alsa_cards_emu10k1x alsa_cards_ens1370 alsa_cards_ens1371 alsa_cards_es1938 alsa_cards_es1968 alsa_cards_fm801 alsa_cards_hda-intel alsa_cards_intel8x0 alsa_cards_intel8x0m alsa_cards_maestro3 alsa_cards_trident alsa_cards_usb-audio alsa_cards_via82xx alsa_cards_via82xx-modem alsa_cards_ymfpci alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mmap_emul alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text linguas_en linguas_fr userland_GNU video_cards_nvidia amd64 
        >>> Done builtin_infovars
        >>> Completed ebuild phases initmisc infovars
        >>> Running ebuild phase tidyup as paludisbuild:paludisbuild...
        >>> Starting builtin_tidyup
        rm -fr /var/tmp/paludis/media-sound-aumix-2.8-r4-info
        >>> Done builtin_tidyup
        >>> Completed ebuild phase tidyup
Comment 3 Guillaume Rosaire 2009-03-02 20:28:03 UTC
Seems to have been fixed on ubuntu a few months ago:
https://bugs.launchpad.net/ubuntu/+source/aumix/+bug/251062
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-05 21:38:16 UTC
Reassigning to sound herd.
Comment 5 Magnus Granberg gentoo-dev 2009-03-11 23:05:14 UTC
Created attachment 184757 [details, diff]
from debian bug #497865
Comment 6 Guillaume Rosaire 2009-03-14 12:19:44 UTC
Patch fixes the issue for me, thanks
Comment 7 leeight 2009-04-07 17:10:00 UTC
run into the same problem 

aumix -w-10
*** buffer overflow detected ***: aumix terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb7e9b388]
/lib/libc.so.6[0xb7e99470]
/lib/libc.so.6[0xb7e98b18]
aumix[0x8049dac]
aumix[0x804a4ff]
/lib/libc.so.6(__libc_start_main+0xdc)[0xb7dd26fc]
aumix[0x8049561]
======= Memory map: ========
08048000-0804f000 r-xp 00000000 08:12 1545254    /usr/bin/aumix
0804f000-08050000 r--p 00006000 08:12 1545254    /usr/bin/aumix
08050000-08051000 rw-p 00007000 08:12 1545254    /usr/bin/aumix
08e5d000-08e7e000 rw-p 08e5d000 00:00 0          [heap]
b7ba9000-b7bb5000 r-xp 00000000 08:12 532322     /usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libgcc_s.so.1
b7bb5000-b7bb6000 r--p 0000b000 08:12 532322     /usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libgcc_s.so.1
b7bb6000-b7bb7000 rw-p 0000c000 08:12 532322     /usr/lib/gcc/i686-pc-linux-gnu/4.3.3/libgcc_s.so.1
b7bb7000-b7db7000 r--p 00000000 08:12 10499      /usr/lib/locale/locale-archive
b7db7000-b7db8000 rw-p b7db7000 00:00 0 
b7db8000-b7dba000 r-xp 00000000 08:12 385037     /lib/libdl-2.9.so
b7dba000-b7dbb000 r--p 00001000 08:12 385037     /lib/libdl-2.9.so
b7dbb000-b7dbc000 rw-p 00002000 08:12 385037     /lib/libdl-2.9.so
b7dbc000-b7ef3000 r-xp 00000000 08:12 384513     /lib/libc-2.9.so
b7ef3000-b7ef5000 r--p 00137000 08:12 384513     /lib/libc-2.9.so
b7ef5000-b7ef6000 rw-p 00139000 08:12 384513     /lib/libc-2.9.so
b7ef6000-b7ef9000 rw-p b7ef6000 00:00 0 
b7ef9000-b7f37000 r-xp 00000000 08:12 387664     /lib/libncurses.so.5.7
b7f37000-b7f38000 ---p 0003e000 08:12 387664     /lib/libncurses.so.5.7
b7f38000-b7f3a000 r--p 0003e000 08:12 387664     /lib/libncurses.so.5.7
b7f3a000-b7f3b000 rw-p 00040000 08:12 387664     /lib/libncurses.so.5.7
b7f3b000-b7f40000 r-xp 00000000 08:12 40827      /lib/libgpm.so.1.20.0
b7f40000-b7f41000 r--p 00004000 08:12 40827      /lib/libgpm.so.1.20.0
b7f41000-b7f42000 rw-p 00005000 08:12 40827      /lib/libgpm.so.1.20.0
b7f42000-b7f43000 rw-p b7f42000 00:00 0 
b7f56000-b7f57000 r-xp b7f56000 00:00 0          [vdso]
b7f57000-b7f73000 r-xp 00000000 08:12 385195     /lib/ld-2.9.so
b7f73000-b7f74000 r--p 0001b000 08:12 385195     /lib/ld-2.9.so
b7f74000-b7f75000 rw-p 0001c000 08:12 385195     /lib/ld-2.9.so
bfa5e000-bfa74000 rw-p bffea000 00:00 0          [stack]
Aborted
Comment 8 leeight 2009-04-07 17:10:36 UTC
$ equery l aumix
[ Searching for package 'aumix' in all categories among: ]
 * installed packages
[I--] [  ] media-sound/aumix-2.8-r4 (0
Comment 9 Samuli Suominen gentoo-dev 2009-05-12 11:43:51 UTC
thanks, -r5 in portage